/**
 * Copyright (C) 2008 Ovea <dev@testatoo.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.testatoo.cartridge;

import com.mycila.log.Loggers;
import org.testatoo.config.AbstractTestatooModule;
import org.testatoo.config.lifecycle.TestListener;

import java.lang.reflect.Method;

public final class MainModule extends AbstractTestatooModule {

    static {
        // just for debugging purposes
        Loggers.useJDK();
    }

    @Override
    protected void configure() {
        install(new CommonModule());
        if (System.getProperty("testatoo") != null)
            install(new OtherModule());
        else
            install(new LocalModule());


        // TODO; NEW FEATURES TO DOCUMENT
        // 1. Ability to add listeners on test execution
        lifecycle().onTest(new TestListener() {
            @Override
            public void onTest(Object instance, Method method) {
                System.out.println("===> Executing: " + method);
            }
        });

        // 2. Ability to add annotation support:
        // Exemple of currently supported annotation:
        // TODO: See SampleTest for usage
        useAnnotations();

    }
}
